Documentation Index
Fetch the complete documentation index at: https://docs.chatsistant.com/llms.txt
Use this file to discover all available pages before exploring further.
Path
Body
One of the following values: user-facing, background, human-escalation,
pre-canned, spam-defense
| Model | Message Credits |
|-------|-----------------| | gpt-3.5-turbo | 1 | | gpt-3.5-turbo-16k | 8 |
| gpt-4-0125-preview-8k | 35 | | gpt-4-1106-preview-1k | 5 | |
gpt-4-1106-preview-2k | 10 | | gpt-4-1106-preview-4k | 20 | |
gpt-4-1106-preview-16k | 60 | | gpt-4o-1k | 3 | | gpt-4o-2k | 5 | |
gpt-4o-4k | 10 | | gpt-4o-8k | 20 | | gpt-4o-16k | 40 | | gpt-4o-mini-4k | 1
| | gpt-4o-mini-16k | 8 | Only for user-facing and
background agents.
Between 0 and 1
Only for user-facing agents.
Between 0 and 1.
Only for user-facing, human-escalation, pre-canned and spam-defense agents.
Between 0 and 1.
Only for user-facing, human-escalation, pre-canned and spam-defense agents.
Only for pre-canned and spam-defense agents.
Only for background agents.
Only for user-facing agents.
Response
By default, a newly created agent is disabled
human_escalation_settings
HumanEscalationSettings Object
curl --location --request POST 'https://app.chatsistant.com/api/v1/chatbot/{uuid}/agent/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"name": "string",
"type": "string",
"description": "string",
"prompt": "string",
"model": "string",
}'
{
"created_at": "2024-07-25T21:19:01Z",
"description": "test for creating new agents",
"enabled": 0,
"meta": {
"model": "gpt-4o-mini-4k",
"tags": [],
"temperature": 0.0
},
"modified_at": "2024-07-25T21:19:01Z",
"name": "TEST create new agent",
"prompt": "a test user-facing agent",
"type": "user-facing",
"uuid": "43474da7ae3b4b7191ee29c2de798257",
"variables": []
}